Skip to main content
GET

Authorizations

Authorization
string
header
required

Source-bound WorkOS API key or configured machine OIDC token. OIDC webhook management requires karsa:webhooks:manage.

Path Parameters

runId
string
required
Minimum string length: 1

Response

The KYB run

id
string
required
Minimum string length: 1
status
required
Available options:
pending,
running,
needs_review,
completed,
failed
customerId
string
required
Minimum string length: 1
externalCustomerId
string | null
required
Minimum string length: 1
caseId
string
required
Minimum string length: 1
createdAt
string<date-time>
required
startedAt
string<date-time> | null
required
completedAt
string<date-time> | null
required
result
object | null
required
failure
object | null
required